/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.metadata.sw.jpz;

/*** 
 * Date:2023/10/31
 * Title:水文水质元数据定义-柬埔寨
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum SwJpzWaterQualityMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME("FROM_TIME", "fromTime"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME("TT", "tm"),

    /**
     * 测站编码
     */
    METADATA_RTU_CODE("ST", "stcd"),
    /**
     * 站类型
     */
    METADATA_ST("ST", "st"),

    /**
     * 电导率
     */
    METADATA_COND("COND", "cond"),
    /**
     * 瞬时水温
     */
    METADATA_C("C", "c"),
    /**
     * PH值
     */
    METADATA_PH("pH", "ph");

    private String code;

    private String name;

    SwJpzWaterQualityMetadataEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(String code) {
        for (SwJpzWaterQualityMetadataEnum point : SwJpzWaterQualityMetadataEnum.values()) {
            if (code.equals(point.getCode())) {
                return point.getName();
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     *
     * @param name
     * @return
     */
    public static String getCode(String name) {
        for (SwJpzWaterQualityMetadataEnum point : SwJpzWaterQualityMetadataEnum.values()) {
            if (name.equals(point.getName())) {
                return point.getCode();
            }
        }
        return "";
    }
}
